=== src/CMakeLists.txt ===
##############################################################################
# Directories
##############################################################################

add_subdirectory(applications)
add_subdirectory(maliput_malidrive)
add_subdirectory(plugin)
add_subdirectory(utility)
