=== src/maliput_malidrive/CMakeLists.txt ===
##############################################################################
# Malidrive
##############################################################################

add_subdirectory(base)
add_subdirectory(builder)
add_subdirectory(common)
add_subdirectory(loader)
add_subdirectory(road_curve)
add_subdirectory(test_utilities)
add_subdirectory(xodr)
