=== debian/changelog ===
ros-foxy-maliput-malidrive (0.1.4-1focal) focal; urgency=high

  * Provides default parameters for the RoadNetworkLoader. (#231 <https://github.com/maliput/maliput_malidrive/issues/231>)
  * Uses default ManualPhaseProvider implementation. (#230 <https://github.com/maliput/maliput_malidrive/issues/230>)
  * Removes OpenRangeValidator and use maliput's instead. (#229 <https://github.com/maliput/maliput_malidrive/issues/229>)
  * Updates triage workflow. (#228 <https://github.com/maliput/maliput_malidrive/issues/228>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Tue, 13 Dec 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.3-1focal) focal; urgency=high

  * Matches with changes in Maliput: Lane::ToLanePosition. (#227 <https://github.com/maliput/maliput_malidrive/issues/227>)
  * Adds triage workflow. (#225 <https://github.com/maliput/maliput_malidrive/issues/225>)
  * Improves README. (#224 <https://github.com/maliput/maliput_malidrive/issues/224>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Wed, 14 Sep 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.2-1focal) focal; urgency=high

  * Fixes environment hooks. (#223 <https://github.com/maliput/maliput_malidrive/issues/223>)
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Fri, 01 Jul 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.1-1focal) focal; urgency=high

  * Standardizes CFlags configuration. (#222 <https://github.com/ToyotaResearchInstitute/maliput_malidrive/issues/222>)
  * Suppresses old-rule-api-related deprecation warnings.
  * Fixes include folder installation.
  * Contributors: Franco Cipollone

 -- Andrew Best <andrew.best@tri.global>  Thu, 16 Jun 2022 03:00:00 -0000

ros-foxy-maliput-malidrive (0.1.0-1focal) focal; urgency=high

  * Use <doc_depend> for ament_cmake_doxygen dependency (#217 <https://github.com/maliput/maliput_malidrive/issues/217>)
  * Uses ros-action-ci in build.yaml workflow. (#218 <https://github.com/maliput/maliput_malidrive/issues/218>)
  * Moves package to root (#216 <https://github.com/maliput/maliput_malidrive/issues/216>)
  * Updates license. (#215 <https://github.com/maliput/maliput_malidrive/issues/215>)
  * Uses ament_export_targets. (#214 <https://github.com/maliput/maliput_malidrive/issues/214>)
  * Removes dashing support. (#213 <https://github.com/maliput/maliput_malidrive/issues/213>)
  * Adds the RoadGeometry to the IntersectionBook construction points. (#211 <https://github.com/maliput/maliput_malidrive/issues/211>)
  * Modifies library dependancies from utilities to utility (#210 <https://github.com/maliput/maliput_malidrive/issues/210>)
  * Renames PhaseBasedRightOfWayDiscreteValueRuleStateProvider class (#209 <https://github.com/maliput/maliput_malidrive/issues/209>)
  * Merge pull request #208 <https://github.com/maliput/maliput_malidrive/issues/208> from maliput/voldivh/value_range_method_to_state
    Changed values() and ranges() method from Rules to states()
  * [FEAT]: Changed values() and ranges() method from Rules to states()
  * Adds LoopRoadPedestrianCrosswalk xodr and yaml. (#207 <https://github.com/maliput/maliput_malidrive/issues/207>)
  * Fixes RoWR zone in SingleRoadPedestrianCrosswalk.yaml file. (#206 <https://github.com/maliput/maliput_malidrive/issues/206>)
  * Adds missing SingleRoadPedestrianCrosswalk.yaml. (#205 <https://github.com/maliput/maliput_malidrive/issues/205>)
  * Adds XODR and YAML to describe crosswalk intersection (#203 <https://github.com/maliput/maliput_malidrive/issues/203>)
  * Creates PhaseProviderBuilder functor. (#202 <https://github.com/maliput/maliput_malidrive/issues/202>)
  * Adds BUILD_DOCS flag as opt-in flag. (#204 <https://github.com/maliput/maliput_malidrive/issues/204>)
  * Uses PhaseRingBook loader for new rule api. (#200 <https://github.com/maliput/maliput_malidrive/issues/200>)
  * Supports loading rules via RuleRegistry + new RoadRulebook format. (#198 <https://github.com/maliput/maliput_malidrive/issues/198>)
  * Fixes typo in README (#197 <https://github.com/maliput/maliput_malidrive/issues/197>)
  * Adds workflow_dispatch option to scan_build and clan runs. (#196 <https://github.com/maliput/maliput_malidrive/issues/196>)
  * Adds CI badges (#195 <https://github.com/maliput/maliput_malidrive/issues/195>)
  * Improves the README adding info about OpenDRIVE specs coverage. (#194 <https://github.com/maliput/maliput_malidrive/issues/194>)
  * Replaces push by workflow_dispatch event in gcc build. (#192 <https://github.com/maliput/maliput_malidrive/issues/192>)
  * Improves standard_strictness_policy flag's documentation. (#189 <https://github.com/maliput/maliput_malidrive/issues/189>)
  * Exposes RoadNetwork configuration builder keys. (#188 <https://github.com/maliput/maliput_malidrive/issues/188>)
  * Pairs with maliput::plugin::RoadNetworkLoader functor change. (#186 <https://github.com/maliput/maliput_malidrive/issues/186>)
  * Adds max_linear_tolerance parameter: linear tolerance as a range (#182 <https://github.com/maliput/maliput_malidrive/issues/182>)
  * Improves use of maliput plugin architecture. (#181 <https://github.com/maliput/maliput_malidrive/issues/181>)
  * Removes RoadNetworkConfiguration-based load method. (#177 <https://github.com/maliput/maliput_malidrive/issues/177>)
  * Use maliput drake (#178 <https://github.com/maliput/maliput_malidrive/issues/178>)
  * Fixes help message for the xodr apps. (#180 <https://github.com/maliput/maliput_malidrive/issues/180>)
  * Adds ToRoadPosition query test. (#175 <https://github.com/maliput/maliput_malidrive/issues/175>)
  * Fixes bug at ToRoadPosition query. (#174 <https://github.com/maliput/maliput_malidrive/issues/174>)
  * Solves CMP0076 cmake warning related to log_level_flag target. (#167 <https://github.com/maliput/maliput_malidrive/issues/167>)

