=== debian/control ===
Source: ros-foxy-maliput-malidrive
Section: misc
Priority: optional
Maintainer: Andrew Best <andrew.best@tri.global>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libtinyxml2-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-malidrive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libtinyxml2-dev, ros-foxy-maliput, ros-foxy-maliput-drake, ros-foxy-ros-workspace
Description: maliput_malidrive backend
